Error 1017 parsing the xml input file ---BEAST v 2.6.7

13 views
Skip to first unread message

Palesa Madupe

unread,
Nov 28, 2022, 4:45:44 PM11/28/22
to beast-users
Hi All, 

I am running beast on a server and every time I try to run either starbeast3 or starbeast2 this the error I get (see error below). I genuinely don't know how to fix it, I thought it was a package issue, but when I add those packages needed it still doesnt work.  

Class could not be found. Did you mean beast.evolution.speciation.SpeciesTreePrior?

Perhaps a package required for this class is not installed?


Error detected about here:

  <beast>

      <run id='mcmc' spec='MCMC'>

          <state id='state' spec='State'>

              <stateNode id='Tree.t:Species' spec='starbeast2.SpeciesTree'>


Kindly,

Palesa



Jordan Douglas

unread,
Nov 28, 2022, 7:06:11 PM11/28/22
to beast-users
Hi Palesa,

That is very strange. starbeast2 or 3 should be the only dependencies. Perhaps the package did not install properly.

When you run beast, does it say that starbeast2 (or 3) is installed, at the top of the mcmc output? If you can't see it there with all the other packages then it must not have installed properly, if at all. 

Jordan
Reply all
Reply to author
Forward
0 new messages